For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
  • Webhook Events
      • POSTBatch Processor Run Completed
      • POSTBatch Processor Run Failed
LogoLogo
Webhook EventsBatch

Batch Processor Run Failed

Payload
1{
2 "eventId": "event_1234",
3 "payload": {
4 "object": "batch_run",
5 "id": "bpr_Xj8mK2pL9nR4vT7qY5wZ",
6 "status": "FAILED",
7 "runCount": 50,
8 "createdAt": "2024-03-21T16:45:00Z"
9 },
10 "eventType": "batch_processor_run.failed"
11}
Was this page helpful?
Previous

Edit Run Processed

Next
Built with

Payload

The payload of this webhook request is an object.
eventIdstringRequired
Unique identifier for the event
payloadobjectRequired

A batch run represents a batch of files submitted for processing via one of the batch endpoints (POST /parse_runs/batch, POST /extract_runs/batch, POST /classify_runs/batch, or POST /split_runs/batch). Use GET /batch_runs/{id} to poll the status.

Note: This object is not used for workflow batch runs. See POST /workflow_runs/batch for workflow batching.

Response

200
Return a 200 status to indicate that the webhook was received successfully